% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cmapR_subset.R
\name{fix.datatypes}
\alias{fix.datatypes}
\title{Adjust the data types for columns of a meta data frame}
\source{
\url{https://github.com/cmap/cmapR}
}
\usage{
fix.datatypes(meta)
}
\arguments{
\item{meta}{a data.frame}
}
\value{
meta the same data frame with (potentially) adjusted column types
}
\description{
GCT(X) parsing initially returns data frames
  of row and column descriptors where all columns are of
  type character. This is inconvenient for analysis, so
  the goal of this function is to try and guess the
  appropriate data type for each column.
}
\details{
This is a low-level helper function
  which most users will not need to access directly
}
\seealso{
Other GCTX parsing functions: 
\code{\link{processIds}()},
\code{\link{readGctxIds}()},
\code{\link{readGctxMeta}()}
}
\concept{GCTX parsing functions}
\keyword{internal}
